Bug 1346012 - Require lvm package for platform bug 1346172 "vgck scan all devices even if filter is configured"
Summary: Require lvm package for platform bug 1346172 "vgck scan all devices even if f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.6.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.0.1
: ---
Assignee: Nir Soffer
QA Contact: Aharon Canan
URL:
Whiteboard:
Depends On: 1346172
Blocks: 1352276
TreeView+ depends on / blocked
 
Reported: 2016-06-13 16:26 UTC by Marina Kalinin
Modified: 2016-08-23 20:16 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1352276 (view as bug list)
Environment:
Last Closed: 2016-08-23 20:16:26 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
repoplot on idle hypervisor with 50 storage domains (207.21 KB, application/pdf)
2016-06-13 22:22 UTC, Nir Soffer
no flags Details
repoplot of vdsm.log from host tulhv1p10 rhevh 7 20160328.0 (294.48 KB, application/pdf)
2016-06-14 15:42 UTC, Nir Soffer
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1671 normal SHIPPED_LIVE VDSM 4.0 GA bug fix and enhancement update 2016-09-02 21:32:03 UTC
oVirt gerrit 59907 master NEW spec: Require lvm version fixing filter 2016-06-29 00:00:46 UTC
oVirt gerrit 60004 None None None 2016-06-30 11:33:08 UTC
oVirt gerrit 60005 None None None 2016-06-30 11:35:33 UTC
Red Hat Bugzilla 1344206 None None None Never

Internal Links: 1344206

Description Marina Kalinin 2016-06-13 16:26:15 UTC
Due to lvm bug#1344206, vdsm lvm commands slow down significantly because filter is not considered.

Comment 1 Marina Kalinin 2016-06-13 16:27:09 UTC
Nir has already provided a fix for it in:
https://gerrit.ovirt.org/#/c/58943/

Comment 3 Allon Mureinik 2016-06-13 16:34:31 UTC
Tentatively targeting to 3.6.8, although if this patch is the only thing required and we're sure it will work with VDSM 3.6.z too, I wouldn't mind seeing it in 3.6.7.

Comment 4 Nir Soffer 2016-06-13 16:38:07 UTC
Gil, considering comment 2, can we have quick testing of this patch?

Comment 5 David Teigland 2016-06-13 16:41:54 UTC
The vdsm patch using global_filter in place of filter is correct and will continue to be fine once the lvm filter is fixed.  The only difference between filter and global_filter is that filter does not apply to lvmetad, but global_filter does.  RHEV is not using lvmetad, so filter and global_filter should be the same (when working correctly.)

Comment 6 Nir Soffer 2016-06-13 22:22:59 UTC
Created attachment 1167718 [details]
repoplot on idle hypervisor with 50 storage domains

The section in the middle uses filter, the right and left parts
are using global_filter. I modified vdsm code on the machine and
restarted vdsm. We see lvm times of ~1 seconds when using global_filter
vs ~7 seconds when using filter.

Comment 7 Nir Soffer 2016-06-13 22:26:22 UTC
Allan, can you attach vdsm logs to this bug, showing the timeframe where lvm
commands run slowly?

Comment 9 Nir Soffer 2016-06-14 15:30:20 UTC
Adding back request for Gil, see comment 4.

Comment 10 Nir Soffer 2016-06-14 15:42:09 UTC
Created attachment 1167924 [details]
repoplot of vdsm.log from host tulhv1p10 rhevh 7 20160328.0

We don't see unusual slow lvm commands in this log, this is probably not the right
log.

An easy way to get more interesting info from the logs is to do:

    unxz *.xz
    for f in vdsm.log*;
        /path/to/vdsm-source/contrib/repoplot $f
    done

Or maybe only for some of the log files, around the time there was an issue 
e.g., migration failed.

For example of slow lvm commands, see bug 1081962.

Comment 11 Gil Klein 2016-06-14 21:10:48 UTC
Nir, I see that this issue is targeted to 3.6.8.

I will be able to handle it only after we complete the scale activities for 3.6.7.

Comment 29 Nir Soffer 2016-06-20 18:19:36 UTC
Marina, I don't mind that Fabian will handle this, but this should be fixed in
vdsm, not in ovirt-node. ovirt-node should require vdsm vdsm version that requires
the fixed lvm package.

Comment 35 Aharon Canan 2016-07-03 08:48:25 UTC
What lvm version are we requiring now? 

We do not really need to verify but on ly the lvm pkg right?

Comment 36 Yaniv Lavi 2016-07-03 09:27:10 UTC
(In reply to Aharon Canan from comment #35)
> What lvm version are we requiring now? 

lvm2-2.02.130

> 
> We do not really need to verify but only the lvm pkg right?

Yes

Comment 37 Yaniv Lavi 2016-07-03 09:28:29 UTC
(In reply to Yaniv Dary from comment #36)
> (In reply to Aharon Canan from comment #35)
> > What lvm version are we requiring now? 
> 
Correction:

> 7:2.02.130-5.el7_2.5
> 
> > 
> > We do not really need to verify but only the lvm pkg right?
> 
> Yes

Comment 39 Aharon Canan 2016-07-19 10:44:05 UTC
[root@green-vdsa ~]# yum deplist vdsm-4.18.6-1.el7ev.x86_64 |grep lvm
Failed to set locale, defaulting to C
Repository jboss-eap-7.0.Z is listed more than once in the configuration
  dependency: lvm2 >= 7:2.02.130-5.el7_2.5
   provider: lvm2.x86_64 7:2.02.130-5.el7_2.5

Comment 41 errata-xmlrpc 2016-08-23 20:16:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1671.html


Note You need to log in before you can comment on or make changes to this bug.